Subject: Re: [bug#69591] [PATCH v4 00/32] Unbundle and update python-pytorch

From: Ludovic Courtès <[email-masked]>
Date: Sun, 23 Jun 2024 23:56:46 +0200

Hi David,

David Elsing <[email-masked]> skribis:

> I plan to try and fix the build also for other architectures when
> updating the packages. For aarch64, the problem is that cpuinfo fails in
> the build container [1,2], but maybe this is only an issue for running
> the tests.
> On 32-bit systems, some Python packages used for the tests depend
> transitively on Rust. The tests are disabled anyway however as they take
> a long time, so they can be removed from the native inputs for these
> architectures.

OK.

I also found that the upgrade triggered build failures in 5 dependent
packages:

  https://ci.guix.gnu.org/eval/1414456?status=newly-failed

Perhaps it’s just a matter of upgrading them as well?

Thanks,
Ludo’.